Subject: Re: NS: wrong font chosen

From: David Reitter <[email-masked]>
Date: Wed, 17 Jun 2009 07:12:55 -0400

On Jun 17, 2009, at 1:10 AM, Adrian Robert wrote:

> Hmm, Lucida Calligraphy has 'italic' set, which I assume causes  
> emacs to not use it for non-italic text.  However, I wonder why it  
> is creating a synth-italic entity here -- it shouldn't.

That's right, there's only an italic variant of it.  (If I demand  
italic, it uses it and does NOT use a synthetic variant.)

If there's only an italic variant, it should be used as regular, and,  
in principle, the italic variant should be realized as a synthetic  
font.  Normally what I've seen done there in print is that if a block  
of text is emphasized in italics, the extra-emphasized portions of it  
are then regular.  So you could create a synthetic variant with slant  
to the left (using the existing slant (degree) information).